---
title: SpeechSynthesis.speaking
slug: Web/API/SpeechSynthesis/speaking
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechSynthesis
  - Web Speech API
  - speaking
  - speech
  - synthesis
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>speaking</code></strong> read-only property of the {{domxref("SpeechSynthesis")}} interface is a {{domxref("Boolean")}} that returns <code>true</code> if an utterance is currently in the process of being spoken — even if <code>SpeechSynthesis</code> is in a {{domxref("SpeechSynthesis/pause()","paused")}} state.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var amISpeaking = speechSynthesisInstance.speaking;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var synth = window.speechSynthesis;

var utterance1 = new SpeechSynthesisUtterance('How about we say this now? This is quite a long sentence to say.');
var utterance2 = new SpeechSynthesisUtterance('We should say another sentence too, just to be on the safe side.');

synth.speak(utterance1);
synth.speak(utterance2);

var amISpeaking = synth.speaking; // will return true if utterance 1 or utterance 2 are currently being spoken
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', '#dom-speechsynthesis-speaking', 'speaking')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechSynthesis.speaking")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
